<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">

<head>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>订单列表</title>
</head>

<body>
    <h1>订单列表</h1>
    <a href="/orders?action=all">全部</a> |
    <a href="/orders?action=waiting">待发货</a> |
    <a href="/orders?action=sent">已发货</a>
    <br>
    <br>
    <table border="1">
        <thead>
            <tr>
                <th>订单编号</th>
                <th>用户ID</th>
                <th>订单日期</th>
                <th>总金额</th>
                <th>地址</th>
                <th>商品信息</th>
                <th>状态</th>
                <th>操作</th>
            </tr>
        </thead>
        <tbody>
            <c:forEach var="order" items="${Orders}">
                <tr>
                    <td>${order.id}</td>
                    <td>${order.userId}</td>
                    <td>${order.orderDate}</td>
                    <td>${order.totalPrice}</td>
                    <td>${order.address}</td>
                    <td>${order.remark}</td>
                    <td>${order.status}</td>
                    <td>
                        <c:if test="${order.status!= '已发货'}">
                            <a href="/orders?action=deliver&id=${order.id}">
                                点击发货 </a>
                        </c:if>
                    </td>
                </tr>
            </c:forEach>
        </tbody>
    </table>
    <br />
    <br>
    <a href="/">主页</a>
</body>

</html>